org.apache.kylin.jdbc

## Class KylinMeta

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl
  - - org.apache.kylin.jdbc.KylinMeta

All Implemented Interfaces:
  org.apache.calcite.avatica.Meta

    public class KylinMeta
    extends org.apache.calcite.avatica.MetaImpl

Implementation of Avatica interface

### Nested Class Summary

Nested Classes
`static class` `KylinMeta.KMetaCatalog`
`static class` `KylinMeta.KMetaColumn`
`static class` `KylinMeta.KMetaProject`
`static class` `KylinMeta.KMetaSchema`
`static class` `KylinMeta.KMetaTable`
`static interface` `KylinMeta.NamedWithChildren`

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.MetaImpl

`org.apache.calcite.avatica.MetaImpl.ColumnNoNulls, org.apache.calcite.avatica.MetaImpl.ColumnNullable, org.apache.calcite.avatica.MetaImpl.ColumnNullableUnknown, org.apache.calcite.avatica.MetaImpl.MetaAttribute, org.apache.calcite.avatica.MetaImpl.MetaBestRowIdentifier, org.apache.calcite.avatica.MetaImpl.MetaCatalog, org.apache.calcite.avatica.MetaImpl.MetaClientInfoProperty, org.apache.calcite.avatica.MetaImpl.MetaColumn, org.apache.calcite.avatica.MetaImpl.MetaColumnPrivilege, org.apache.calcite.avatica.MetaImpl.MetaCrossReference, org.apache.calcite.avatica.MetaImpl.MetaExportedKey, org.apache.calcite.avatica.MetaImpl.MetaFunction, org.apache.calcite.avatica.MetaImpl.MetaFunctionColumn, org.apache.calcite.avatica.MetaImpl.MetaImportedKey, org.apache.calcite.avatica.MetaImpl.MetaIndexInfo, org.apache.calcite.avatica.MetaImpl.MetaPrimaryKey, org.apache.calcite.avatica.MetaImpl.MetaProcedure, org.apache.calcite.avatica.MetaImpl.MetaProcedureColumn, org.apache.calcite.avatica.MetaImpl.MetaPseudoColumn, org.apache.calcite.avatica.MetaImpl.MetaSchema, org.apache.calcite.avatica.MetaImpl.MetaSuperTable, org.apache.calcite.avatica.MetaImpl.MetaSuperType, org.apache.calcite.avatica.MetaImpl.MetaTable, org.apache.calcite.avatica.MetaImpl.MetaTablePrivilege, org.apache.calcite.avatica.MetaImpl.MetaTableType, org.apache.calcite.avatica.MetaImpl.MetaTypeInfo, org.apache.calcite.avatica.MetaImpl.MetaUdt, org.apache.calcite.avatica.MetaImpl.MetaVersionColumn, org.apache.calcite.avatica.MetaImpl.Named`

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.Meta

`org.apache.calcite.avatica.Meta.ConnectionHandle, org.apache.calcite.avatica.Meta.ConnectionProperties, org.apache.calcite.avatica.Meta.CursorFactory, org.apache.calcite.avatica.Meta.DatabaseProperty, org.apache.calcite.avatica.Meta.ExecuteBatchResult, org.apache.calcite.avatica.Meta.ExecuteResult, org.apache.calcite.avatica.Meta.Factory, org.apache.calcite.avatica.Meta.Frame, org.apache.calcite.avatica.Meta.MetaResultSet, org.apache.calcite.avatica.Meta.Pat, org.apache.calcite.avatica.Meta.PrepareCallback, org.apache.calcite.avatica.Meta.Signature, org.apache.calcite.avatica.Meta.StatementHandle, org.apache.calcite.avatica.Meta.StatementType, org.apache.calcite.avatica.Meta.Style`

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.MetaImpl

`connection, connProps`

### Constructor Summary

Constructors
Constructor and Description
`KylinMeta(KylinConnection connection)`

### Method Summary

Methods
`void` `closeStatement(org.apache.calcite.avatica.Meta.StatementHandle h)`
`void` `commit(org.apache.calcite.avatica.Meta.ConnectionHandle ch)`
`org.apache.calcite.avatica.Meta.ExecuteResult` `execute(org.apache.calcite.avatica.Meta.StatementHandle sh, List<org.apache.calcite.avatica.remote.TypedValue> parameterValues, int maxRowsInFirstFrame)`
`org.apache.calcite.avatica.Meta.ExecuteResult` `execute(org.apache.calcite.avatica.Meta.StatementHandle sh, List<org.apache.calcite.avatica.remote.TypedValue> parameterValues, long maxRowCount)` Deprecated.
`org.apache.calcite.avatica.Meta.ExecuteBatchResult` `executeBatch(org.apache.calcite.avatica.Meta.StatementHandle sh, List<List<org.apache.calcite.avatica.remote.TypedValue>> parameterValues)`
`org.apache.calcite.avatica.Meta.Frame` `fetch(org.apache.calcite.avatica.Meta.StatementHandle h, long offset, int fetchMaxRowCount)`
`org.apache.calcite.avatica.Meta.MetaResultSet` `getCatalogs(org.apache.calcite.avatica.Meta.ConnectionHandle ch)`
`org.apache.calcite.avatica.Meta.MetaResultSet` `getColumns(org.apache.calcite.avatica.Meta.ConnectionHandle ch, String catalog, org.apache.calcite.avatica.Meta.Pat schemaPattern, org.apache.calcite.avatica.Meta.Pat tableNamePattern, org.apache.calcite.avatica.Meta.Pat columnNamePattern)`
`org.apache.calcite.avatica.Meta.MetaResultSet` `getSchemas(org.apache.calcite.avatica.Meta.ConnectionHandle ch, String catalog, org.apache.calcite.avatica.Meta.Pat schemaPattern)`
`org.apache.calcite.avatica.Meta.MetaResultSet` `getTables(org.apache.calcite.avatica.Meta.ConnectionHandle ch, String catalog, org.apache.calcite.avatica.Meta.Pat schemaPattern, org.apache.calcite.avatica.Meta.Pat tableNamePattern, List<String> typeList)`
`org.apache.calcite.avatica.Meta.MetaResultSet` `getTableTypes(org.apache.calcite.avatica.Meta.ConnectionHandle ch)`
`org.apache.calcite.avatica.Meta.StatementHandle` `prepare(org.apache.calcite.avatica.Meta.ConnectionHandle ch, String sql, long maxRowCount)`
`org.apache.calcite.avatica.Meta.ExecuteResult` `prepareAndExecute(org.apache.calcite.avatica.Meta.StatementHandle sh, String sql, long maxRowCount, int maxRowsInFirstFrame, org.apache.calcite.avatica.Meta.PrepareCallback callback)`
`org.apache.calcite.avatica.Meta.ExecuteResult` `prepareAndExecute(org.apache.calcite.avatica.Meta.StatementHandle sh, String sql, long maxRowCount, org.apache.calcite.avatica.Meta.PrepareCallback callback)` Deprecated.
`org.apache.calcite.avatica.Meta.ExecuteBatchResult` `prepareAndExecuteBatch(org.apache.calcite.avatica.Meta.StatementHandle sh, List<String> sqlCommands)`
`void` `rollback(org.apache.calcite.avatica.Meta.ConnectionHandle ch)`
`static List<? extends KylinMeta.NamedWithChildren>` `searchByPatterns(KylinMeta.NamedWithChildren parent, org.apache.calcite.avatica.Meta.Pat... patterns)`
`boolean` `syncResults(org.apache.calcite.avatica.Meta.StatementHandle sh, org.apache.calcite.avatica.QueryState state, long offset)`

### Methods inherited from class org.apache.calcite.avatica.MetaImpl

`checkParameterValueHasNull, closeConnection, collect, collect, columnMetaData, columnMetaData, columnMetaData, columnMetaData, connectionSync, createCursor, createEmptyResultSet, createIterable, createResultSet, createStatement, fetch, fieldMetaData, getAttributes, getBestRowIdentifier, getClientInfoProperties, getColumnNullability, getColumnPrivileges, getCrossReference, getDatabaseProperties, getExportedKeys, getFunctionColumns, getFunctions, getImportedKeys, getIndexInfo, getPrimaryKeys, getProcedureColumns, getProcedures, getPseudoColumns, getSuperTables, getSuperTypes, getTablePrivileges, getTypeInfo, getUDTs, getVersionColumns, openConnection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinMeta

    public KylinMeta(KylinConnection connection)

### Method Detail

#### prepare

    public org.apache.calcite.avatica.Meta.StatementHandle prepare(org.apache.calcite.avatica.Meta.ConnectionHandle ch,
                                                          String sql,
                                                          long maxRowCount)

#### prepareAndExecuteBatch

    public org.apache.calcite.avatica.Meta.ExecuteBatchResult prepareAndExecuteBatch(org.apache.calcite.avatica.Meta.StatementHandle sh,
                                                                            List<String> sqlCommands)
                                                                              throws org.apache.calcite.avatica.NoSuchStatementException

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`

#### executeBatch

    public org.apache.calcite.avatica.Meta.ExecuteBatchResult executeBatch(org.apache.calcite.avatica.Meta.StatementHandle sh,
                                                                  List<List<org.apache.calcite.avatica.remote.TypedValue>> parameterValues)
                                                                    throws org.apache.calcite.avatica.NoSuchStatementException

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`

#### execute

    @Deprecated
    public org.apache.calcite.avatica.Meta.ExecuteResult execute(org.apache.calcite.avatica.Meta.StatementHandle sh,
                                                                   List<org.apache.calcite.avatica.remote.TypedValue> parameterValues,
                                                                   long maxRowCount)
                                                          throws org.apache.calcite.avatica.NoSuchStatementException

Deprecated.

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`

#### execute

    public org.apache.calcite.avatica.Meta.ExecuteResult execute(org.apache.calcite.avatica.Meta.StatementHandle sh,
                                                        List<org.apache.calcite.avatica.remote.TypedValue> parameterValues,
                                                        int maxRowsInFirstFrame)
                                                          throws org.apache.calcite.avatica.NoSuchStatementException

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`

#### prepareAndExecute

    @Deprecated
    public org.apache.calcite.avatica.Meta.ExecuteResult prepareAndExecute(org.apache.calcite.avatica.Meta.StatementHandle sh,
                                                                             String sql,
                                                                             long maxRowCount,
                                                                             org.apache.calcite.avatica.Meta.PrepareCallback callback)

Deprecated.

#### prepareAndExecute

    public org.apache.calcite.avatica.Meta.ExecuteResult prepareAndExecute(org.apache.calcite.avatica.Meta.StatementHandle sh,
                                                                  String sql,
                                                                  long maxRowCount,
                                                                  int maxRowsInFirstFrame,
                                                                  org.apache.calcite.avatica.Meta.PrepareCallback callback)
                                                                    throws org.apache.calcite.avatica.NoSuchStatementException

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`

#### closeStatement

    public void closeStatement(org.apache.calcite.avatica.Meta.StatementHandle h)

#### getTableTypes

    public org.apache.calcite.avatica.Meta.MetaResultSet getTableTypes(org.apache.calcite.avatica.Meta.ConnectionHandle ch)

Specified by:
  `getTableTypes` in interface `org.apache.calcite.avatica.Meta`
Overrides:
  `getTableTypes` in class `org.apache.calcite.avatica.MetaImpl`

#### getCatalogs

    public org.apache.calcite.avatica.Meta.MetaResultSet getCatalogs(org.apache.calcite.avatica.Meta.ConnectionHandle ch)

Specified by:
  `getCatalogs` in interface `org.apache.calcite.avatica.Meta`
Overrides:
  `getCatalogs` in class `org.apache.calcite.avatica.MetaImpl`

#### getSchemas

    public org.apache.calcite.avatica.Meta.MetaResultSet getSchemas(org.apache.calcite.avatica.Meta.ConnectionHandle ch,
                                                           String catalog,
                                                           org.apache.calcite.avatica.Meta.Pat schemaPattern)

Specified by:
  `getSchemas` in interface `org.apache.calcite.avatica.Meta`
Overrides:
  `getSchemas` in class `org.apache.calcite.avatica.MetaImpl`

#### getTables

    public org.apache.calcite.avatica.Meta.MetaResultSet getTables(org.apache.calcite.avatica.Meta.ConnectionHandle ch,
                                                          String catalog,
                                                          org.apache.calcite.avatica.Meta.Pat schemaPattern,
                                                          org.apache.calcite.avatica.Meta.Pat tableNamePattern,
                                                          List<String> typeList)

Specified by:
  `getTables` in interface `org.apache.calcite.avatica.Meta`
Overrides:
  `getTables` in class `org.apache.calcite.avatica.MetaImpl`

#### getColumns

    public org.apache.calcite.avatica.Meta.MetaResultSet getColumns(org.apache.calcite.avatica.Meta.ConnectionHandle ch,
                                                           String catalog,
                                                           org.apache.calcite.avatica.Meta.Pat schemaPattern,
                                                           org.apache.calcite.avatica.Meta.Pat tableNamePattern,
                                                           org.apache.calcite.avatica.Meta.Pat columnNamePattern)

Specified by:
  `getColumns` in interface `org.apache.calcite.avatica.Meta`
Overrides:
  `getColumns` in class `org.apache.calcite.avatica.MetaImpl`

#### searchByPatterns

    public static List<? extends KylinMeta.NamedWithChildren> searchByPatterns(KylinMeta.NamedWithChildren parent,
                                                               org.apache.calcite.avatica.Meta.Pat... patterns)

#### fetch

    public org.apache.calcite.avatica.Meta.Frame fetch(org.apache.calcite.avatica.Meta.StatementHandle h,
                                              long offset,
                                              int fetchMaxRowCount)
                                                throws org.apache.calcite.avatica.NoSuchStatementException,
                                                       org.apache.calcite.avatica.MissingResultsException

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`
  `org.apache.calcite.avatica.MissingResultsException`

#### syncResults

    public boolean syncResults(org.apache.calcite.avatica.Meta.StatementHandle sh,
                      org.apache.calcite.avatica.QueryState state,
                      long offset)
                        throws org.apache.calcite.avatica.NoSuchStatementException

Throws:
  `org.apache.calcite.avatica.NoSuchStatementException`

#### commit

    public void commit(org.apache.calcite.avatica.Meta.ConnectionHandle ch)

#### rollback

    public void rollback(org.apache.calcite.avatica.Meta.ConnectionHandle ch)